Subject: bug#20499: [PROPOSED PATCH] C-x 8 shorthands for curved quotes, Euro, etc.

From: Paul Eggert <[email-masked]>
Date: Mon, 04 May 2015 09:11:49 -0700

On 05/04/2015 07:22 AM, Eli Zaretskii wrote:
> Shouldn't we prefer input methods instead?

Typically yes, but for common characters it's better to have a standard 
way to input them in any context.  The exact set of such characters is 
of course debatable (and you could easily talk me out of the 
more-obscure characters proposed), but quotes, dashes, and the Euro are 
pretty basic to ordinary English text.

Also, Emacs has no English input method, which means Emacs users 
currently have trouble writing good English text outside the ASCII 
character set.  I suppose we could add such a method, but that would 
require more user training than the proposed approach.  Anyway, Emacs is 
natively English and support for basic English text should be available 
everywhere.